meta: Remove feh

feh was one of the fastest image viewers I've ever used, however since I
now use GNOME, having a minimal keyboard-only image viewer is no longer
necessary.
This commit is contained in:
Donovan Glover 2023-01-08 00:08:55 -05:00
parent 1ff2b22c91
commit 1bcadf80df
No known key found for this signature in database
GPG Key ID: EA7408A77AE1BE65
3 changed files with 0 additions and 159 deletions

View File

@ -1,99 +0,0 @@
# New Start: A modern Arch workflow built with an emphasis on functionality.
# Copyright (C) 2017-2018 Donovan Glover
# Remove the default keybindings
toggle_actions
toggle_aliasing
toggle_caption
toggle_filenames
toggle_exif
save_filelist
toggle_fixed_geometry
toggle_pause
toggle_info
toggle_keep_vp
toggle_menu
next_img
toggle_pointer
prev_img
quit
reload_image
save_image
toggle_fullscreen
size_to_image
close
jump_random
prev_dir
next_dir
orient_3
orient_1
# Remove the default editing functionality
flip
mirror
action_0
action_1
action_2
action_3
action_4
action_5
action_6
action_7
action_8
action_9
jump_first
jump_last
jump_fwd
jump_back
reload_plus
reload_minus
remove
delete
scroll_left
scroll_right
scroll_up
scroll_down
scroll_left_page
scroll_right_page
scroll_up_page
scroll_down_page
render
zoom_in
zoom_out
zoom_default
zoom_fit
zoom_fill
# Remove the menu stuff
menu_close
menu_up
menu_down
menu_parent
menu_child
menu_select
# Add our custom keybindings
# Note that k goes right (next) and j goes left (prev)
toggle_fullscreen f
next_img k Right
prev_img j Left
toggle_filenames d
toggle_fixed_geometry g
toggle_pause h
quit q
size_to_image w
jump_random z
scroll_left b
scroll_right n
scroll_up u Up
scroll_down d Down
zoom_in h
zoom_out l
zoom_default o
zoom_fill p
toggle_pointer a
jump_first J
jump_last K
jump_fwd H
jump_back L
toggle_auto_zoom m

View File

@ -1,43 +0,0 @@
#!/bin/sh
# End the script if an error occurs.
set -e
# Change the working directory to a cache directory.
mkdir -p "$HOME/.cache/feh"
cd "$HOME/.cache/feh"
# If $1 is not defined, raise an error.
if [ -z "$1" ]; then
echo 'error: No color specified.'
echo 'usage: ./path/to/tile.sh <color> where color is hexadecimal'
exit 1
fi
# If $1 contains something other than 0-9 and A-F, raise an error.
if [[ -n "${1//[0-9A-F]/}" ]]; then
echo 'error: Invalid color specified. Colors must use 0-9 and A-F only.'
echo ' Colors should not use a-f since file names are case sensitive.'
exit 1
fi
# If $1 is not exactly six characters long, raise an error.
if ! [ "${#1}" -eq 6 ]; then
echo 'error: Invalid color specified. Colors must be of length 6.'
echo ' This is for the convert function, and is used to help'
echo ' prevent duplicate colors.'
exit 1
fi
# If the color doesn't exist yet, make it.
if ! test -e "$1.png"; then
echo 'status: Color file does not exist yet. Making it...'
convert -size 1x1 "xc:#$1" "$1.png"
fi
# Finally, set the specified color as the background.
echo 'status: Setting the desktop background as the specified color...'
feh --no-fehbg --bg-tile "$1.png"
# We're done here.
echo 'status: Successfully changed the background to the color specified!'

View File

@ -1,17 +0,0 @@
# feh
[feh][feh] is an image viewer with no GUI. It can also change the desktop background.
## Use Cases
feh can be used to:
- Quickly view and browse through images without loading a GUI
- Change your desktop background if not using a desktop environment
- Strategically place GUI-less images in your rice screenshots
You should not use feh if:
- You are using a desktop environment with an image viewer
[feh]: https://github.com/derf/feh